PluginPathAwareFileSystemResourceLoader (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.core.io
[Java] Class PluginPathAwareFileSystemResourceLoader

    java.lang.Object
      org.springframework.core.io.DefaultResourceLoader
          org.springframework.core.io.FileSystemResourceLoader
              org.codehaus.groovy.grails.core.io.PluginPathAwareFileSystemResourceLoader

    public class PluginPathAwareFileSystemResourceLoader
    extends org.springframework.core.io.FileSystemResourceLoader

FileSystemResourceLoader capable of understanding paths to plugins via the ResourceLocator interface

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`static java.lang.String` | `WEB_APP_DIRECTORY`

Fields inherited from class org.springframework.core.io.FileSystemResourceLoader
CLASSPATH_URL_PREFIX

Fields inherited from class org.springframework.core.io.DefaultResourceLoader
CLASSPATH_URL_PREFIX

Method Summary
`protected org.springframework.core.io.Resource` | `getResourceByPath(java.lang.String path)`
`void` | `setSearchLocations(java.util.Collection searchLocations)`

Methods inherited from class org.springframework.core.io.FileSystemResourceLoader
org.springframework.core.io.FileSystemResourceLoader#getClassLoader(), org.springframework.core.io.FileSystemResourceLoader#getResource(java.lang.String), org.springframework.core.io.FileSystemResourceLoader#setClassLoader(java.lang.ClassLoader), org.springframework.core.io.FileSystemResourceLoader#wait(long, int), org.springframework.core.io.FileSystemResourceLoader#wait(long), org.springframework.core.io.FileSystemResourceLoader#wait(), org.springframework.core.io.FileSystemResourceLoader#equals(java.lang.Object), org.springframework.core.io.FileSystemResourceLoader#toString(), org.springframework.core.io.FileSystemResourceLoader#hashCode(), org.springframework.core.io.FileSystemResourceLoader#getClass(), org.springframework.core.io.FileSystemResourceLoader#notify(), org.springframework.core.io.FileSystemResourceLoader#notifyAll()

Methods inherited from class org.springframework.core.io.DefaultResourceLoader
org.springframework.core.io.DefaultResourceLoader#getClassLoader(), org.springframework.core.io.DefaultResourceLoader#getResource(java.lang.String), org.springframework.core.io.DefaultResourceLoader#setClassLoader(java.lang.ClassLoader), org.springframework.core.io.DefaultResourceLoader#wait(long, int), org.springframework.core.io.DefaultResourceLoader#wait(long), org.springframework.core.io.DefaultResourceLoader#wait(), org.springframework.core.io.DefaultResourceLoader#equals(java.lang.Object), org.springframework.core.io.DefaultResourceLoader#toString(), org.springframework.core.io.DefaultResourceLoader#hashCode(), org.springframework.core.io.DefaultResourceLoader#getClass(), org.springframework.core.io.DefaultResourceLoader#notify(), org.springframework.core.io.DefaultResourceLoader#notifyAll()

Field Detail

### WEB_APP_DIRECTORY

    public static final java.lang.String WEB_APP_DIRECTORY

Method Detail

### getResourceByPath

    @java.lang.Override
    protected org.springframework.core.io.Resource getResourceByPath(java.lang.String path)

### setSearchLocations

    public void setSearchLocations(java.util.Collection searchLocations)

Groovy Documentation